module.exports = exports = (name) => {
    return `const { Service } = require('flitter-di')

/*
 * ${name} Service
 * -------------------------------------------------------------
 * This is a service file that will be made available through Flitter's
 * dependency injector to the rest of the application based on its given
 * canonical name.
 *
 * e.g. app.di().service("${name}")
 */
class ${name}Service extends Service {
    static get services() {
        return [...super.services, 'app', /* Additional services here (e.g. "configs", "output", &c. */]
    }
    
    // Service methods here

}

module.exports = exports = ${name}Service
`
}
